list knowledge group documents
curl --request GET \
--url https://api.anam.ai/v1/knowledge/groups/{id}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anam.ai/v1/knowledge/groups/{id}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anam.ai/v1/knowledge/groups/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "00000000-0000-0000-0000-000000000000",
"knowledgeFolderId": "00000000-0000-0000-0000-000000000000",
"filename": "getting-started.pdf",
"fileType": "application/pdf",
"fileSize": 248320,
"fileUrl": "https://cdn.anam.ai/knowledge/getting-started.pdf",
"status": "READY",
"errorMessage": null,
"createdAt": "2026-04-20T10:00:00.000Z",
"updatedAt": "2026-04-20T10:01:12.000Z"
}
]list knowledge group documents
Get all documents in a RAG group
GET
/
v1
/
knowledge
/
groups
/
{id}
/
documents
list knowledge group documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the knowledge group
Response
Successfully retrieved documents
Unique identifier for the document.
ID of the knowledge group this document belongs to.
Original filename as uploaded.
MIME type or extension-derived file type.
Size of the file in bytes.
Internal URL at which the file is stored.
Current processing state. Only READY documents are searchable.
Available options:
UPLOADED, PROCESSING, READY, FAILED Failure reason when status is FAILED, otherwise null.
Timestamp when the document was uploaded.
Timestamp when the document record was last updated.
Last modified on September 4, 2026
Was this page helpful?

